f



Tk8.5.5 build on leopard 10.5.5

I'm trying to build tk8.5.5 on my mac.  I already have tcl8.5.5
installed.  However, it's not through macports or any other package
management system.

I compiled tcl myself and it's currently in /Library/Frameworks/
Tcl.Framework.  When I try to make the GNUmakefile I get this error:

In file included from /Users/matthess/Downloads/tk8.5.5/macosx/../
generic/tkInt.h:21,
                 from /Users/matthess/Downloads/tk8.5.5/macosx/../
generic/tk3d.c:16:
/Users/matthess/Downloads/tk8.5.5/macosx/../generic/tk.h:23:3: error:
#error Tk 8.5 must be compiled with tcl.h from Tcl 8.5
make: *** [tk3d.o] Error 1

I originally had the 8.4 release of both tcl and tk, but I erased both
(e.g. sudo rm -R /Library/Frameworks/Tcl.Framework) and reinstalled.
I'm trying to figure out why it can't find the updated verion of
tcl.h, and so far I've come up dry.  Any suggestions?

matt
0
12/15/2008 7:53:41 PM
comp.lang.tcl 23428 articles. 2 followers. Post Follow

2 Replies
1207 Views

Similar Articles

[PageSpeed] 51

matt wrote:
> I'm trying to build tk8.5.5 on my mac.  I already have tcl8.5.5
> installed.  However, it's not through macports or any other package
> management system.
> 
> I compiled tcl myself and it's currently in /Library/Frameworks/
> Tcl.Framework.  When I try to make the GNUmakefile I get this error:
> 
> In file included from /Users/matthess/Downloads/tk8.5.5/macosx/../
> generic/tkInt.h:21,
>                  from /Users/matthess/Downloads/tk8.5.5/macosx/../
> generic/tk3d.c:16:
> /Users/matthess/Downloads/tk8.5.5/macosx/../generic/tk.h:23:3: error:
> #error Tk 8.5 must be compiled with tcl.h from Tcl 8.5
> make: *** [tk3d.o] Error 1
> 
> I originally had the 8.4 release of both tcl and tk, but I erased both
> (e.g. sudo rm -R /Library/Frameworks/Tcl.Framework) and reinstalled.
> I'm trying to figure out why it can't find the updated verion of
> tcl.h, and so far I've come up dry.  Any suggestions?
> 
> matt

The Tcl and Tk source trees should be in the same directory you are 
building from. See http://wiki.tcl.tk/12987 for more details.

-- 
Kevin Walzer
Code by Kevin
http://www.codebykevin.com
0
kw564 (720)
12/15/2008 11:22:44 PM
> The Tcl and Tk source trees should be in the same directory you are
> building from. Seehttp://wiki.tcl.tk/12987for more details.

I now have the extracted tcl8.5.5 and tk8.5.5 directories in the same
directory.

Since my last post I've changed my strategy, following the advice of
the link you posted above.  I'm now using a configure script:

../configure --enable-aqua --enable-threads --enable-framework

and then...

make TCL_FRAMEWORK_DIR=/Library/Frameworks/ TCLSH_DIR=/usr/bin

Still get the same error though.  ugh
0
12/16/2008 2:04:54 AM
Reply:

Similar Artilces:

5.22 to 5.5
So here's the big question-- if I just bought 5.2 a couple of weeks ago...will I have to pay for the upgrade to 5.5? (That would suck.) Thanks, Bryan In article <bpdn10$1kc$1@news.fsr.net>, Bryan C. Green <bcgreen@motioncode.com> wrote: > So here's the big question-- if I just bought 5.2 a couple of weeks > ago...will I have to pay for the upgrade to 5.5? (That would suck.) There is always a free upgrade period for each major release of REALbasic -- if you purchased RB after a certain date, you get the new version free. However, since 5.5 hasn&...

Build @ VS2005 with ACE 5.5 #5
I am using VS2005 with ACE5.5. I wanna use static lib of ACE,and I've set Preprocessor Definition just like the ACE-INSTALL.html told, but when linked to .lib,there're error LNK2005. How to solve it?Or how to set exactly? ...

Nero 5.5.20.0 update(?) to 5.5.10.56
I tried to update my Nero Burning ROM from 5.5.20.0 (which came with my Samsung burner) to the latest 5.5 version that is available on the Nero.com website, version 5.5.10.56. (Is this really an update - going from 5.5.20.0 -> 5.5.10.56?) In doing the install, though, it kept stopping after unzipping a file that ended with /CDI/CDI_IMAG.rtfs with a write error and the suggestion that there might not be enough room on the disk. The installation process looks like it's 95% done when this happens. But there is at least 9GB unused in the 20GB partition, and the swap file si...

10.5.5 much slower than 10.5.3
They keep putting a bigger load on an old dog - what would you expect? http://macdailynews.com/index.php/weblog/comments/18546/ "Curiously, Mac OS X 10.5.5 is not only overall no faster than 10.5.3, it may be even slower for some graphics tasks," Fox reports. ...

Migration from vxworks 5.5 to vxworks 5.5.1
HI All, iam running on vxworks 5.5 and tornado2.2 command based with customized BSP for MPC8245 processor. Let me know, how would i migrate to 5.5.1 with tornado2.2.1 with out changing my applicaitons? Are there any migration guides from 5.5 to 5.5.1. Please help me in this regard on high priority. Giri wrote: > HI All, > > iam running on vxworks 5.5 and tornado2.2 command based with customized > BSP for MPC8245 processor. > > Let me know, how would i migrate to 5.5.1 with tornado2.2.1 with out > changing my applicaitons? > > Are there any migration guides ...

RB 5.5.5 TabPanel
I'm working on a project that one of my windowshas a tabPanel (4 tabs) with about 77 controls in the window. I have 4 buttons that are outside of the panel. Previous, Next, Cancel and Finish. Previous is disabled, by default. Next is default. Both of these calls the same method. Cancel and Finish are the other two buttons. By problem is with the next button. When I have that button and another button I can not had any more methods or properties, which I need to do. Once the buttons are gone, then I can add modules to my pleasure. The problem lies somewhere with the next button,...

5.5 to 6.5 upgrade
To all; I have a 5.5 to 6.5 upgrade I need to do next week. Any thoughts on preparatory steps? Things to watch out for? Thanks, Jeff Kubler * To join/leave the list, search archives, change list settings, * * etc., please visit http://raven.utc.edu/archives/hp3000-l.html * ...

Building ACE 5.5 On Sparc Arch. Solaris 5.10 with Gnu Tools
I am trying to built ACE 5.5 on Solaris 5.10 with Sparc Arch. using GNU tools ( gcc 3.3.2, gmake 3.80 ). I could not see such a configuration on ACE+TAO+CIAO daily build scoreboard nor a special notice anywhere for such a configuration. Currently is such a build configuration possible? Thanks in advance. ...

Re: [ace-users] Building ACE 5.5 On Sparc Arch. Solaris 5.10
------=_Part_25585_21176809.1157638030068 Content-Type: text/plain; charset=ISO-8859-1; format=flowed Content-Transfer-Encoding: 7bit Content-Disposition: inline >>I am trying to built ACE 5.5 on Solaris 5.10 with Sparc Arch. using >> GNU tools ( gcc 3.3.2, gmake 3.80 ). I had also some problems with gcc 3.3.2 on sol10. After hard work i've compiled it succesfully but many executables were not working (core dumps) ;-( So, I've built my own gcc-4.1.1 and then i compiled ACE-5.5.1+TAO (via autotools) withous any problems, and everythink works ok. Btw. i've used sun ld, gnu ld seems to have some problems. Sam ------=_Part_25585_21176809.1157638030068 Content-Type: text/html; charset=ISO-8859-1 Content-Transfer-Encoding: 7bit Content-Disposition: inline &gt;&gt;I am trying to built ACE 5.5 on Solaris 5.10 with Sparc Arch. using<br>&gt;&gt; GNU tools ( gcc 3.3.2, gmake 3.80 ).<br><br>I had also some problems with gcc 3.3.2 on sol10. After hard work i've compiled<br>it succesfully but many executables were not working (core dumps) ;-( <br><br>So, I've built my own gcc-4.1.1 and then i compiled ACE-5.5.1+TAO (via autotools) withous any problems,<br>and everythink works ok. Btw. i've used sun ld, gnu ld seems to have some problems.<br><br>Sam<br><br><br> <br> ------=_Part_25585_21176809.1157638030068-- ...

Help Building ACE 5.5 on IRIX 6.5
I am having difficulty building ACE 5.5 on IRIX 6.5. If anyone has any advice, it would be greatly appreciated. I have set up the configuration as follows: config.h #define ACE_HAS_STANDARD_CPP_LIBRARY 1 #define ACE_HAS_STDCPP_STL_INCLUDES 1 #define ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB 1 #include "ace/config_irix6.5.x-sgic++.h" #undef ACE_USES_OLD_IOSTREAMS platform_macros.GNU include $(ACE_ROOT)/include/makeinclude/platform_irix6.x_sgic++.GNU I then attempt to build with make and get the error "cwchar is unavailable" when attempting to build ace_wchar. When I use make, it doesn't attempt to build at all. I believe the version of make I also have g++ available on this system. Is there a recommended g++ configuration for this type of issue? Thank You in Advance, D. Hi Dino, Please upgrade to ACE+TAO+CIAO x.5.7 (i.e., ACE 5.5.7, TAO 1.5.7, and CIAO 0.5.7), which you can download from http://download.dre.vanderbilt.edu under the heading: "Latest Beta Kit". The DOC groups at Washington University, UC Irvine, and Vanderbilt University only provide "best effort" support for non-sponsors for the latest release, as described in http://www.dre.vanderbilt.edu/~schmidt/DOC_ROOT/ACE/docs/ACE-bug-process.html Thus, if you need more "predictable" help for earlier versions of ACE+TAO, I recommend that you check out http://www.dre.vanderbilt.edu/support.html for a li...

[ace-users] [ACE 5.5] Upgrade from ACE 5.4.7 to ACE 5.5
This is a multi-part message in MIME format. --Boundary_(ID_ogLNJ2XjtOnI/qoGYuqYNQ) Content-type: text/plain; charset=us-ascii Content-transfer-encoding: 7BIT ACE VERSION: 5.5 HOST MACHINE and OPERATING SYSTEM: Intel, WindowsXp, Windows 2003 AREA/CLASS/EXAMPLE AFFECTED: Our team has upgraded from ACE 5.4.7 to ACE 5.5. I am submitting this email as a service for the ace members that considure upgrading to ACE 5.5 and using the same platform and features we are using from the ACE Frameworks library. After running a regression test the upgrade seemed to work without any problems. The only problem we encountered was a compilation error when construction ACE_Time_Value. The ACE_Time_Value cannot be constructed anymore from an integer. For example: ACE_Time_Value( 5 ) --> Compile error DESCRIPTION: We are using ACE_WIN32_Proactor with sockets, pipes and directory changes. BOTTOM LINE: If you are an ace user who are using the same platform and architecture you could upgrade to the new framework knowing that somewhere in the world (Israel/Onigma) the upgrade worked perfectly and nightly. ~ Ishay Software Architect Onigma Ltd. Tel: +972-3-6877315 Fax: +972-3-6877128 Mobile: +972-54-2325090 Email: ishay@onigma.com --Boundary_(ID_ogLNJ2XjtOnI/qoGYuqYNQ) Content-type: text/html; charset=us-ascii Content-transfer-encoding: 7BI...

Re: [ace-users] Building ACE 5.5 On Sparc Arch. Solaris 5.10 with Gnu Tools
Hi, That should not be a problem, but I would recommend that yu upgrade to ACE 5.5.2. Regards, Johnny Willemsen Remedy IT Postbus 101 2650 AC Berkel en Rodenrijs The Netherlands www.theaceorb.nl / www.remedy.nl <mkardahan@gmail.com> wrote in message news:<1157094906.437957.114420@m73g2000cwd.googlegroups.com>... > I am trying to built ACE 5.5 on Solaris 5.10 with Sparc Arch. using GNU > tools ( gcc 3.3.2, gmake 3.80 ). > > I could not see such a configuration on ACE+TAO+CIAO daily build > scoreboard nor a special notice anywhere for such a configuration. > > Currently is such a build configuration possible? > > Thanks in advance. > ...

Re: [ace-users] Building ACE 5.5 On Sparc Arch. Solaris 5.10 with Gnu Tools #2
<mkardahan@gmail.com> wrote in message news:<1157094906.437957.114420@m73g2000cwd.googlegroups.com>... > I am trying to built ACE 5.5 on Solaris 5.10 with Sparc Arch. using GNU > tools ( gcc 3.3.2, gmake 3.80 ). > > I could not see such a configuration on ACE+TAO+CIAO daily build > scoreboard nor a special notice anywhere for such a configuration. > > Currently is such a build configuration possible? It's most likely possible, but has not been tested. It's not tested because it hasn't been requested from any of the commercial support companies. Please contact me if you'd like to discuss having this platform added to our supported platforms list. Thank you, Steve Huston Riverace Corporation shuston@riverace.com ...

RE: [ace-users] [ACE 5.5] Upgrade from ACE 5.4.7 to ACE 5.5
Hi, > ACE VERSION: 5.5 Thanks for using the PRF form. > HOST MACHINE and OPERATING SYSTEM: > > Intel, WindowsXp, Windows 2003 An important bit information is missing, which compiler did you use. > AREA/CLASS/EXAMPLE AFFECTED: > The only problem we encountered was a compilation error > when construction ACE_Time_Value. > > The ACE_Time_Value cannot be constructed anymore from an integer. > > For example: ACE_Time_Value( 5 ) --> Compile error Great to hear things work without problems. This errors sounds strange, we do have test cases like this in tests/Time_Value_Test.cpp. We do have made all constructors of ACE_Time_Value explicit. As a result if you have a method that expects a ACE_Time_Value&, you just can't pass for example 5, you have to pass an ACE_Time_Value(5). Regards, Johnny Willemsen Remedy IT Postbus 101 2650 AC Berkel en Rodenrijs The Netherlands www.theaceorb.nl / www.remedy.nl ...

RB 5.5.5: problem with image
Hi, I have started a project at my macintosh. The project contains an backdrop image, creataed in tiff format. I have moved the projet to the windows version. The pc has no quicktime installed. I have change the graphic format to BMP (with photoshop) and change the graphic object inside the project windows. I have killed the canvas and placed a new one with this image as backdrop. If I run the project from IDE, it works. If I want make build, an error message comes up: "quicktime cannot recognize the graphic format ... bla bla". Why this? What can I do? Thanks. Fran...

Migration issue from 5.5 to 5.6
All right from our error log 150717 12:53:35 mysqld_safe Starting mysqld daemon with databases from /usr/mysql5.6/var 2015-07-17 12:53:36 0 [Note] /usr/contrib/bin/mysqld (mysqld 5.6.25-log) starting as process 27877 ... 2015-07-17 12:53:36 27877 [Note] Plugin 'FEDERATED' is disabled. 2015-07-17 12:53:36 27877 [Note] InnoDB: Using mutexes to ref count buffer pool pages 2015-07-17 12:53:36 27877 [Note] InnoDB: The InnoDB memory heap is disabled 2015-07-17 12:53:36 27877 [Note] InnoDB: Mutexes and rw_locks use InnoDB's own implementation 2015-07-17 12:53:36 27877 [Note] In...

Borland C++ 4.5 and 5.5?
Hi everybody! Does anybody know why Borland C++ 5.5 reports errors at line: CreateWindow ("button", "One", WS_CHILD| WS_VISIBLE| BS_PUSHBUTTON, 20, 8, 75, 25, hwnd, (HMENU)IDBT_ONE, hInst, NULL); error is at '(HMENU)IDBT_ONE': cannot convert 'void *' to 'HINSTANCE__ *'... Borland C++ 4.5 compile this code without any errors or warnings. Thank you in advance Vladimir Perkic wrote: > Hi everybody! > > Does anybody know why Borland C++ 5.5 reports errors at line: > > CreateWindow ("button", "One", > WS_CHIL...

Upgrading 5.0.5 to 5.0.6/5.0.7
Hi, I've inheirited 3 SCO Servers and need to upgrade one to 5.0.6 from 5.0.5. The other two are at 5.0.6 and I want them all in line. Some questions: 1. Does SCO charge for this upgrade? If so, how much? 2. How easy is the upgrade? 3. Should I go to 5.0.7 instead for all the machines? Thanks, Jon Jon Wynacht typed (on Thu, Sep 02, 2004 at 09:16:17AM -0700): | Hi, | | I've inheirited 3 SCO Servers and need to upgrade one to 5.0.6 from | 5.0.5. The other two are at 5.0.6 and I want them all in line. Some | questions: | | 1. Does SCO charge for this upgrade? If so, how much? ...

VMS 5.0
I am doing some research for a school paper about old versions of VMS, but I am having a hard time finding any documentation on VMS 5.0 - VMS 5.5. I'm also looking for info on cluster configuration for those versions. Does anyone have any idea of where I can get the docs? Thanks for you help. Ivan On Feb 22, 11:43 pm, Ivan <ifquei...@yahoo.com> wrote: > I am doing some research for a school paper about old versions of > VMS, but I am having a hard time finding any documentation on VMS 5.0 > - VMS 5.5. I'm also looking for info on cluster configuration for > those...

Re: 5.5 to 6.5 upgrade
>To all; >I have a 5.5 to 6.5 upgrade I need to do next week. Any thoughts on >preparatory steps? >Things to watch out for? >Thanks, >Jeff Kubler > >* To join/leave the list, search archives, change list settings, * >* etc., please visit http://raven.utc.edu/archives/hp3000-l.html * << Things to watch out for? >> Oh yes -- after I did my upgrade from 5.5 to 6.5 PP2 my networking software got messed up. For the longest time I had to start up the network with the undocumented OVERRIDE option to get the network up and running. Just rec...

Problems with DataControl in RB 5.5.5
I am new to REALbasic and am trying to start small and simple with a small database app. I am using the data control to talk to a REALdb and have bound buttons to the data control. The DELETE and UPDATE buttons work, but the NEW and INSERT buttons crash the application. Once the NEW or INSERT buttons have been pushed you cannot browse the records and more or even see that a new record has been accepted by the database. To tell the truth, this is a major disappointment to me as I am hoping to progress to full programmatic control of a database application. I was hoping to build a little success with the data control, but it doesn't seem to work. Can anyone help me with this? Can you point me to a good source for learning full database control? Many Thanks in advance. ...

Should I fear an upgrade from 5.0 to.. 5.1 or 5.5 on a CentOS box?
I've just been handed a CentOS 5.1 , WHM/Cpanel server to maintain, it's running MySQL 5.0 which powers a few Forum/CMS type sites.. I really need to upgrade MySQL, because until I do, WHM/CPanel upgrades aren't possible.. How scary is this? Likelyhood of scripts like SMF, Wordpress etc breaking? How much time involved? Minutes, hours days? Any insight would be greatly appreciated. Thanks in advance On 11/6/2013 2:26 PM, dewed wrote: > I've just been handed a CentOS 5.1 , WHM/Cpanel server to maintain, it's running MySQL 5.0 which powers a few Fo...

5.4 -> 5.5 : more memory?
We're migrating from VxWorks 5.4 to 5.5. We expected the memory footprint for our own code base (not VxWorks) to decrease since 5.5 uses a newer (and presumably more efficient) gcc compiler. However we're seeing just the opposite, the code size is growing by 10-15%. Any clues? Thanks! - John John Blevin wrote: > We're migrating from VxWorks 5.4 to 5.5. We expected the > memory footprint for our own code base (not VxWorks) to > decrease since 5.5 uses a newer (and presumably more > efficient) gcc compiler. However we're seeing just the > opposite, the co...

Re: [ace-users] [ACE 5.5] Upgrade from ACE 5.4.7 to ACE 5.5 #2
Hi Ishay, >> Sorry, we are using DevStudio 7.1 (2003) We use this too. Please see ACE_ROOT/tests/Time_Value_Test.cpp for lots of examples that use ACE_Time_Value with integers. Please see if this works on your OS/compiler platform. Thanks, Doug >> ~ Ishay >> >> Software Architect >> Onigma Ltd. >> Tel: +972-3-6877315 >> Fax: +972-3-6877128 >> Mobile: +972-54-2325090 >> Email: ishay@onigma.com >> >> -----Original Message----- >> From: Johnny Willemsen [mailto:jwillemsen@remedy.nl] >> Sent: Tuesday, March 07, 2006 2:42 PM >> To: 'Ishay Green'; ace-users@cs.wustl.edu >> Subject: RE: [ace-users] [ACE 5.5] Upgrade from ACE 5.4.7 to ACE 5.5 >> >> Hi, >> >> > ACE VERSION: 5.5 >> >> Thanks for using the PRF form. >> >> > HOST MACHINE and OPERATING SYSTEM: >> > >> > Intel, WindowsXp, Windows 2003 >> >> An important bit information is missing, which compiler did you use. >> >> > AREA/CLASS/EXAMPLE AFFECTED: >> > The only problem we encountered was a compilation error >> > when construction ACE_Time_Value. >> > >> > The ACE_Time_Value cannot be constructed anymore from an integer. >> > >> > For example: ACE_Time_Value( 5 ) --> Compile error >>...

Web resources about - Tk8.5.5 build on leopard 10.5.5 - comp.lang.tcl

Snow leopard - Wikipedia, the free encyclopedia
above sea level in Central Asia. The Snow Leopard Survival Strategy (McCarthy et al. 2003, Table II) compiled national snow leopard population ...

Sleepy Little Leopard - Tampa's Lowry Park Zoo - Facebook
Adorable Alert: You are getting sleepy, very sleepy. Your eyelids are getting heavy, so heavy you can't hold them up. #CloudedLeopard #Kitten ...

A Leopard with a fresh kill 1 - Flickr - Photo Sharing!
Model: Canon EOS 7D Lens: Canon EF 100-400mm f/4.5-5.6L ISO: 5000 Focal Length: 285mm Flash: On Spotted: Sabi Sands (Near Kruger National Park), ...

Leopard scare closes 129 Indian schools in Bangalore
NEW DELHI, Feb 11 EFE - Around 130 schools have remained closed in the city of Bangalore in southern India after a leopard entered a school and ...

A leopard has attacked six people on a 10-hour rampage through a school in India, with the terrifying ...
SIX people were mauled by a leopard after it invaded a school in India.

Leopard scare closes 129 Indian schools in Bangalore
NEW DELHI, Feb 11 EFE - Around 130 schools have remained closed in the city of Bangalore in southern India after a leopard entered a school and ...

Leopard wanders south Indian school, injures 3 before caught
Appeal-Democrat Leopard wanders south Indian school, injures 3 before caught Appeal-Democrat In this Feb. 7, 2016 image made from video, a ...

A massive leopard attacked four people at a school in India
This leopard terrorized a school in India.

Leopard causes panic inside school in India
CBS News Leopard causes panic inside school in India CBS News BANGALORE, India - A leopard wandered into a school in southern India and injured ...

Skiers Have Close Call With Rare Snow Leopard
Submitted by: (via PreviousNext ) Tagged: snow leopard , winter , skiing , Video , animals Share on Facebook

Resources last updated: 3/13/2016 12:06:57 PM